Airline Routes
curl --request GET \
--url https://api.flystack.dev/v1/routes \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.flystack.dev/v1/routes"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.flystack.dev/v1/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flystack.dev/v1/routes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flystack.dev/v1/routes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flystack.dev/v1/routes")
.header("x-api-key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flystack.dev/v1/routes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body[
{
"airline_iata": "UL",
"airline_icao": "ALK",
"flight_number": "2265",
"flight_iata": "UL2265",
"flight_icao": "ALK2265",
"cs_airline_iata": "EY",
"cs_flight_iata": "EY265",
"cs_flight_number": "265",
"dep_iata": "CMB",
"dep_icao": "VCBI",
"dep_time": "02:50",
"dep_time_utc": "21:20",
"dep_terminals": ["1"],
"arr_iata": "AUH",
"arr_icao": "OMAA",
"arr_time": "05:50",
"arr_time_utc": "01:50",
"arr_terminals": ["1", "T3"],
"duration": 270,
"days": ["mon", "wed", "sat"],
"aircraft_icao": "A320",
"updated": "2023-02-11T22:51:55.000Z"
}
]
Datasets
Airline Routes
Explore airline routes and planned schedules (non real-time) to build connections and future itineraries.
GET
/
v1
/
routes
Airline Routes
curl --request GET \
--url https://api.flystack.dev/v1/routes \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.flystack.dev/v1/routes"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.flystack.dev/v1/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flystack.dev/v1/routes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flystack.dev/v1/routes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flystack.dev/v1/routes")
.header("x-api-key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flystack.dev/v1/routes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body[
{
"airline_iata": "UL",
"airline_icao": "ALK",
"flight_number": "2265",
"flight_iata": "UL2265",
"flight_icao": "ALK2265",
"cs_airline_iata": "EY",
"cs_flight_iata": "EY265",
"cs_flight_number": "265",
"dep_iata": "CMB",
"dep_icao": "VCBI",
"dep_time": "02:50",
"dep_time_utc": "21:20",
"dep_terminals": ["1"],
"arr_iata": "AUH",
"arr_icao": "OMAA",
"arr_time": "05:50",
"arr_time_utc": "01:50",
"arr_terminals": ["1", "T3"],
"duration": 270,
"days": ["mon", "wed", "sat"],
"aircraft_icao": "A320",
"updated": "2023-02-11T22:51:55.000Z"
}
]
The Routes dataset contains planned airline schedules that are operated by airlines. This is not real-time data and does not include live flight status.
Together with the Flight Schedules API, routes data can help you predict schedules further into the future and build connection logic (days of week, departure times, aircraft type, terminals, etc.).
Authentication
string
required
Your FlyStack API token. You can create one from the dashboard (see Authentication).
Query parameters
Route filters
string
Filter by departure airport IATA code (e.g.,
CMB).string
Filter by departure airport ICAO code (e.g.,
VCBI).string
Filter by arrival airport IATA code (e.g.,
AUH).string
Filter by arrival airport ICAO code (e.g.,
OMAA).string
Filter by airline IATA code (e.g.,
UL).string
Filter by airline ICAO code (e.g.,
ALK).string
Filter by flight ICAO code-number (e.g.,
ALK2265).string
Filter by flight IATA code-number (e.g.,
UL2265).string
Filter by flight number only (e.g.,
2265).Response shaping & pagination
string
Comma-separated list of fields to return (e.g.,
airline_iata,flight_number).number
Max number of results per response (limits may depend on your plan).
number
Pagination offset (0+). Use with
limit when a response indicates there are more results.For best results, provide at least one filter (airport, airline, or flight code).
Response
The endpoint returns a list of routes.Routes dataset response fields
Show Airline & flight identifiers
Show Airline & flight identifiers
Show Departure
Show Departure
Show Arrival
Show Arrival
[
{
"airline_iata": "UL",
"airline_icao": "ALK",
"flight_number": "2265",
"flight_iata": "UL2265",
"flight_icao": "ALK2265",
"cs_airline_iata": "EY",
"cs_flight_iata": "EY265",
"cs_flight_number": "265",
"dep_iata": "CMB",
"dep_icao": "VCBI",
"dep_time": "02:50",
"dep_time_utc": "21:20",
"dep_terminals": ["1"],
"arr_iata": "AUH",
"arr_icao": "OMAA",
"arr_time": "05:50",
"arr_time_utc": "01:50",
"arr_terminals": ["1", "T3"],
"duration": 270,
"days": ["mon", "wed", "sat"],
"aircraft_icao": "A320",
"updated": "2023-02-11T22:51:55.000Z"
}
]